HINO Bugs - Feature #2686

pembuatan query untuk generate personal working schedule
04/02/2024 02:52 PM - Muhammad Bintar

Status: Closed Start date: 04/02/2024
Priority: High Due date: 04/09/2024
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 10.00 hours
Description

dear tim developer mohon supportnya untuk pembuatan auto generate pws untuk HINO.

punya 3 working schedule yang memiliki 3 flexible time yang berbeda yaitu OVT1, OVT2 dan OVT3.
dan itu selalu di lakukan update flexible setiap tanggal 15 di bulan berjalan.

Oleh karena itu saat ini di kami terbentuk menjadi 3 working hour yang mana per masing-masing department dapat menentukan
shifting untuk teamnya, sehingga setiap department atau per masing-masing karyawan bisa memiliki perbedaan shifting.

Berikut untuk jadwal flexi time nya pak Daud :

[. 08:00-17:00 WIB
Il. 08:30-17:30 WIB
1. 09:30 - 18:30 WIB

Dengan ketentuan sbb :

» Berlaku hanya untuk Kantor Pusat, Kantor Cabang tidak ada flexy time

» Flexi time berlaku untuk 1 bulan, dan untuk bulan berikutnya diinformasikan Kembali ke HR sebelum tanggal 15 dibulan berjalan
untuk pengajuan bulan berikutnya.

» Jam kerja yang fleksibel diterapkan tanpa mengurangi jadwal kerja 8 jam.

* Lembur dapat dimulai setelah waktu istirahat selama 1 jam dari akhir jam kerja.

+ Ketentuan flexi time ini tidak merubah jam istirahat, yaitu :

+ lIstirahat Kerja

Senin -Kamis 12:00-13.00 WIB
Jum’at  11.30-13.00 WIB

remote.minovais.com:61120
database sql
remote.minovais.com, 1445

History

#1 - 04/04/2024 09:06 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to High

Azid,

di port silver package udah pernah di tambahin kolom (GeneratePWS) di parameter work schedule untuk flag mana WS yg mau auto generate PWS
nya. jd bisa di parameter mana yg Yes/No.

Baiknya bisa di deploy itu dI aja drpd di hardcode WS mana yg auto generate.

Tks

#2 - 04/18/2024 06:04 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , tolong di test keseluruhan dulu ya kalau udah done baru nanti di kasih packagenya
makasih

#3 - 04/19/2024 04:48 PM - Muhammad Bintar

oke udah di tes di tm to payroll juga aman...

#4 - 04/19/2024 04:48 PM - Muhammad Bintar
- Status changed from QA Test to Assigned
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

#5 - 04/19/2024 04:57 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , berikut ini packagenya :

ul:
Controller :

C:\ClientManagement\HINO\Production\UNapp\controller\masterdata\tm\CtriGenerateWorkSchedule.js

custparam (INSERTPHRPAQ0125)

penambahan field :
PHRTMWSTYP (GeneratePWS)

sdatatablefield dan fisik

SDATAFIELDREFTXT (GPWS)

makasih

#6 - 04/23/2024 12:44 PM - Muhammad Bintar

- Status changed from QA Test to Assigned

- Assignee changed from Muhammad Bintar to M Azid Wahyudi
setelah di cek ternyata masih belum fix azid.

oiya, fixing nya pindah ya ke:

remote.minovais.com:31120

database sql server 2019

remote.minovais.com, 1458

password MINOV@1sSQL

data2 nya menyusul ya. contoh aja employeeid 00000570

#7 - 04/25/2024 02:45 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test yaa

package :

- Controller Ul : C:\ClientApp\2217 HINO\U\app\controller\masterdata\tm\CtriGeneratePersonalWS.js
- View Ul : C:\ClientApp\2217 HINO\UNapp\view\masterdata\tm\GeneratePersonalWS.js

- Sdatatable field (PDSTMGENWSPERSONAL)
- custparam (TM_GeneratePWS)

makasih

#8 - 04/26/2024 11:27 AM - Muhammad Bintar

- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi
okeh sudah bisa dan sudah dideploy ke client.
